Subject: Re: RFC: per-socket statistics on received/dropped packets

From: Ben Greear <[email-masked]>
Date: Sun, 09 Jun 2002 11:23:30 -0700

David S. Miller wrote:

>    From: Ben Greear <[email-masked]>
>    Date: Sat, 08 Jun 2002 17:13:35 -0700
>    
>    If you're talking per-socket SNMP counters, then that could work.
>    General protocol-wide counters would not help much, at least
>    in my case.
> 
> Why not?  If you know where the drops are occurring, what else
> do you need to know?

I need to account for packets on a per-session basis, where a
session endpoint is a UDP port.  So, knowing global protocol numbers is
good, but it is not very useful for the detailed accounting I
need.  I could also use per-socket TCP counters, like re-transmits,
etc.  I have not looked to see if they are already there
or not...

Thanks,
Ben

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear